Bug 1270371 - blocks updates by requiring old mercurial
blocks updates by requiring old mercurial
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mercurial (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 15:36 EDT by Przemek Klosowski
Modified: 2016-07-19 14:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:10:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Przemek Klosowski 2015-10-09 15:36:15 EDT
Description of problem:
system updates are blocked because tortoisehg requires mercurial < 3.4 and mercurial 3.5.1 is available


Version-Release number of selected component (if applicable):
tortoisehg-3.4-1.fc22.noarch 

How reproducible: very


Steps to Reproduce:
1.dnf update --best

Actual results:
Error: package tortoisehg-3.4-1.fc22.noarch requires mercurial < 3.4, but none of the providers can be installed


Expected results: succesful update of mercurial
Comment 1 Mads Kiilerich 2015-10-09 16:54:00 EDT
Mercurial should not be updated in released fedora versions.
Comment 2 Mads Kiilerich 2015-10-10 10:49:50 EDT
I submitted a tortoisehg update to fix the reported example of this bug. It doesn't solve the root cause, though.
Comment 3 Kostya Vasilyev 2015-10-11 09:20:21 EDT
Same here on Fedora 22, relevant dnf info below.

Re: "Mercurial should not be updated" -- as a Mercurial user, I respectfully disagree.

It would be great to track Mercurial and Tortoise HG updates (together, to avoid breaking dependencies as described here), perhaps only in @fedora-updates if there is a policy preventing this for the "release" Fedora.

$ dnf info tortoisehg
Last metadata expiration check performed 0:05:18 ago on Sun Oct 11 16:09:14 2015.
Installed Packages
Name        : tortoisehg
Arch        : noarch
Epoch       : 0
Version     : 3.4
Release     : 1.fc22
Size        : 15 M
Repo        : @System
From repo   : updates
Summary     : Mercurial GUI command line tool thg
URL         : http://tortoisehg.bitbucket.org/
License     : GPLv2
Description : This package contains the thg command line tool, which provides a graphical
            : user interface to the Mercurial distributed revision control system.

$dnf info mercurial
Last metadata expiration check performed 0:05:24 ago on Sun Oct 11 16:09:14 2015.
Installed Packages
Name        : mercurial
Arch        : x86_64
Epoch       : 0
Version     : 3.3.3
Release     : 1.fc22
Size        : 13 M
Repo        : @System
From repo   : fedora
Summary     : Mercurial -- a distributed SCM
URL         : http://www.selenic.com/mercurial/
License     : GPLv2+
Description : Mercurial is a fast, lightweight source control management system designed
            : for efficient handling of very large distributed projects.
            : 
            : Quick start: http://www.selenic.com/mercurial/wiki/index.cgi/QuickStart
            : Tutorial: http://www.selenic.com/mercurial/wiki/index.cgi/Tutorial
            : Extensions: http://www.selenic.com/mercurial/wiki/index.cgi/CategoryExtension

Available Packages
Name        : mercurial
Arch        : x86_64
Epoch       : 0
Version     : 3.5.1
Release     : 1.fc22
Size        : 3.1 M
Repo        : updates
Summary     : Mercurial -- a distributed SCM
URL         : http://www.selenic.com/mercurial/
License     : GPLv2+
Description : Mercurial is a fast, lightweight source control management system designed
            : for efficient handling of very large distributed projects.
            : 
            : Quick start: http://www.selenic.com/mercurial/wiki/index.cgi/QuickStart
            : Tutorial: http://www.selenic.com/mercurial/wiki/index.cgi/Tutorial
            : Extensions: http://www.selenic.com/mercurial/wiki/index.cgi/CategoryExtension
Comment 4 Mads Kiilerich 2015-10-11 12:10:16 EDT
(In reply to Kostya Vasilyev from comment #3)
> Same here on Fedora 22, relevant dnf info below.
> 
> Re: "Mercurial should not be updated" -- as a Mercurial user, I respectfully
> disagree.

You think it is ok that an ordinary update will break peoples carefully installed Mercurial configurations?

> It would be great to track Mercurial and Tortoise HG updates (together, to
> avoid breaking dependencies as described here), perhaps only in
> @fedora-updates if there is a policy preventing this for the "release"
> Fedora.

Yes, more clueful handling of the Mercurial updates to coordinate it with TortoiseHg could have solved this particular problem. It would however not have solved the general problem of other extensions (packaged or not) breaking through the update.
Comment 5 Kostya Vasilyev 2015-10-11 13:07:54 EDT
(In reply to Mads Kiilerich from comment #4)
> (In reply to Kostya Vasilyev from comment #3)
> > Same here on Fedora 22, relevant dnf info below.
> > 
> > Re: "Mercurial should not be updated" -- as a Mercurial user, I respectfully
> > disagree.
> 
> You think it is ok that an ordinary update will break peoples carefully
> installed Mercurial configurations?

I don't. But why should it break?

It is known that Tortoise HG often requires a particular version (version range) of Mercurial itself.

Shouldn't this be checked when releasing new versions of THG into Fedora?

Just like you don't update gtk libs without updating gtk-devel (or whatever). 

And yes, I am aware that THG and HG are separate entities.

> 
> > It would be great to track Mercurial and Tortoise HG updates (together, to
> > avoid breaking dependencies as described here), perhaps only in
> > @fedora-updates if there is a policy preventing this for the "release"
> > Fedora.
> 
> Yes, more clueful handling of the Mercurial updates to coordinate it with
> TortoiseHg could have solved this particular problem. It would however not
> have solved the general problem of other extensions (packaged or not)
> breaking through the update.

Good point, I just don't happen to be using any extensions...

Maybe only release into "fedora-updates", but not into "stable release Fedora"?
Comment 6 Neal Becker 2015-10-13 08:35:18 EDT
Perhaps COPR could be used for this?
Comment 7 Neal Becker 2015-10-13 13:24:34 EDT
COPR builds for mercurial-3.5.2 are available here:

https://copr.fedoraproject.org/coprs/nbecker/mercurial-3/
Comment 8 Fedora End Of Life 2016-07-19 14:10:16 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.